Upgrades the Savanna components deployed in a Bring Your Own Cloud (BYOC) provider's cloud account, and optionally resizes its node groups.

PUT /controller/v4/v2/cloud-providers/{cloudProviderID}/upgrade

Authorizations

x-api-key string header required

Authorization for TigerGraph Savanna. Send the key in the x-api-key request header.

Create an API key

Path parameters

# cloudProviderID string path required

Cloud Provider ID

Body

# cluster_enabled_log_types string[]

Kubernetes control-plane log types to enable after the upgrade.

Available options: api, audit, authenticator, controllerManager, scheduler

# components object[]

Components and target versions to apply.

Show child attributes Hide child attributes
namestring

Name of the component to upgrade.

versionstring

Target version of the component.

# node_group_config object

Kubernetes node-group configuration to apply during the upgrade.

Show child attributes Hide child attributes
ng_16object

Configuration of the 16-unit node group.

Show child attributes Hide child attributes
max_sizeinteger

Maximum number of nodes in the group.

min_sizeinteger

Minimum number of nodes in the group.

overprovisioning_factorinteger

Additional capacity factor reserved above the requested workload.

ng_32object

Configuration of the 32-unit node group.

Show child attributes Hide child attributes
max_sizeinteger

Maximum number of nodes in the group.

min_sizeinteger

Minimum number of nodes in the group.

overprovisioning_factorinteger

Additional capacity factor reserved above the requested workload.

ng_48object

Configuration of the 48-unit node group.

Show child attributes Hide child attributes
max_sizeinteger

Maximum number of nodes in the group.

min_sizeinteger

Minimum number of nodes in the group.

overprovisioning_factorinteger

Additional capacity factor reserved above the requested workload.

ng_64object

Configuration of the 64-unit node group.

Show child attributes Hide child attributes
max_sizeinteger

Maximum number of nodes in the group.

min_sizeinteger

Minimum number of nodes in the group.

overprovisioning_factorinteger

Additional capacity factor reserved above the requested workload.

ng_systemobject

Configuration of the system node group.

Show child attributes Hide child attributes
max_sizeinteger

Maximum number of nodes in the group.

min_sizeinteger

Minimum number of nodes in the group.

overprovisioning_factorinteger

Additional capacity factor reserved above the requested workload.

prefetch_image_liststring[]

Container images to prefetch onto the nodes.

Response

200 application/json
# Error boolean

Indicates whether the request returned an error.

# ErrorDetails object[]

Details about each error returned by the request.

Show child attributes Hide child attributes
FieldNamestring

Field associated with the error.

Reasonstring

Explanation of why the error occurred.

Typestring

Category of the error.

Available options: Internal-Error, Bad-Request, Not-Found, Forbidden, Unauthorized, API-Disabled, Quota-Exceed, Unknown

# Message string

Human-readable summary of the request result.

# RequestID string

Unique identifier for tracing the request.

# Result object

Payload returned by the request.